# O Manual do &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
José
Pires

    jncp@netcabo.pt

Tradução
2000
2001
2002
&Jonathan.Singer;
&FDLNotice;
2002-10-05
1.20.00

Este documento é o manual de utilizador da aplicação &konsole;.

O &konsole; é um emulador de terminal em X para o &kde;.

KDE
konsole
kdebase
comando
linha

## Introdução ao &konsole;

### O que é um terminal?

Os sistemas operativos &UNIX; eram desenhados originalmente como sistemas apenas de texto, controlados por comandos do teclado -- o que é conhecido como sendo uma interface por linha de comandos (CLI). O &X-Window; e o &kde;, assim como outros projectos, têm desde então adicionado a interface gráfica que você está a usar agora. Contudo, o sistema subjacente em CLI ainda continua, e é frequentemente a forma mais simples, rápida e poderosa de efectuar várias tarefas.

O &konsole; é o que é conhecido como sendo um emulador de terminal do X, também referido como terminal ou linha de comandos ('shell'). Dá-lhe o equivalente de um ecrã de texto à antiga no seu ecrã, mas onde uma pessoa poderá facilmente partilhar o ecrã com as suas aplicações gráficas. Os utilizadores do Windows poderão estar familiarizados com o utilitário Linha de Comandos do MS-DOS, o qual tem a função análoga de oferecer uma linha de comandos do DOS para o &Windows;. (Ainda que as CLIs do &UNIX; ofereçam de longe mais poder e facilidade de utilização que o DOS!)

A explicação da utilização da CLI do &UNIX; está para além do âmbito deste documento, dado que iria dar um livro enorme. Felizmente, já existem vários livros do género em várias línguas em qualquer livraria ou biblioteca. Existem também tutoriais disponíveis na Internet. Divirta-se com o &kde;, mas não se intimide para aprender a usar a linha de comandos! Você irá concluir que, mesmo que aprenda só as bases, irá ficar com a utilização do seu computador muito mais eficiente e divertida.

### O que torna o &konsole; especial?

As funcionalidades avançadas do &konsole; incluem uma configuração simples e a capacidade de usar várias linhas de comandos do terminal numa única janela, dando origem a um ecrã menos desarrumado.

Ao usar o &konsole;, um utilizador poderá abrir:

- Sessões de consola do &Linux;

- Sessões de linha de comandos

- Sessões do screen

- Sessões do gestor de ficheiros Midnight Commander

- Sessões de consola como Root

- Sessões do Midnight Commander como Root.

Os nomes destas sessões podem ser alterados para o ajudar a manter o registo de todas as suas linhas de comandos, ou poderão ser enviados sinais para as mesmas (STOP, CONT, HUP, INT, TERM, KILL).

Para ter mais controlo sobre o &konsole;, um utilizador poderá:

- esconder ou mostrar o menu, a barra de ferramentas, a barra de posicionamento e/ou o seu contorno

- seleccionar o tamanho de uma janela do &konsole;, os tipos de letra, esquemas de cores e o mapeamento das teclas

- alterar a localização da barra de posicionamento, ou mesmo escondê-la

Todas as opções escolhidas poderão passar a ser as predefinidas para as sessões seguintes se as gravar.

Para aquelas pessoas com um grande interesse pela taxonomia dos terminais de X livres, existem dois outros deste género: o xterm, o original, criado mesmo antes do próprio X (um mês ou dois) e o xvt, uma cópia mais leve do xterm, no qual quase todas as outras derivações disponíveis de momento (sendo a mais notável o eterm) se baseiam.

Ao fim de uma década, o &konsole; é a primeira reimplementação do zero. Enquanto que o xterm tem sido sempre alterado 'até à morte' (o seu `README` começa com as palavras Abandon All Hope, Ye Who Enter Here - Abandonai Toda a Esperança, Vós que Entrais Aqui), o &konsole; oferece um ponto de partida bom ao usar as tecnologias contemporâneas e alguma compreensão do X.

## Utilização do &konsole;

### Arranque

Quando o &konsole; é iniciado, é executada uma aplicação (tipicamente uma linha de comandos do &UNIX;) na janela. Basta escrever na linha de comandos.

Ecrã do &konsole;
Ecrã do &konsole;

Uma janela com a Dica do Dia também poderá aparecer no arranque, dando algumas sugestões sobre a utilização do &konsole;. Se não você quiser nenhuma destas sugestões, desligue a opção Mostrar as dicas no arranque.

### Histórico

À medida que as linhas se deslocam para fora do cima do ecrã, estas poderão ser revistas se mover a barra de posicionamento para cima, com a ajuda da roda do rato ou com os atalhos de teclado &Shift;Page Up (para andar uma página para atrás), &Shift;Page Down (para andar uma página para a frente), &Shift;Cima (para subir uma linha) e &Shift;Baixo (para descer uma linha) (desde que a opção do Histórico esteja ligada).

Para além disso, o &konsole; imita a consola do FreeBSD quando o Scroll Lock está carregado. Quando isto acontece, os dados do teclado e a saída para o ecrã ficam suspensos, e você poderá percorrer o histórico com o Page Up, Page down, e o Cima e Baixo.

### Sessões

Se você tiver de se autenticar com frequência em máquinas remotas, ou tem de correr um conjunto semelhante de aplicações de terminal, você poderá usar a funcionalidade das Sessões do &konsole; em conjunto com a gestão de sessões do &kde; para automatizar uma boa parte disso para si. Vamos adoptar o seguinte exemplo: Você tem de abrir frequentemente uma sessão de ssh para a máquina administracao, que a deixe pronta para as tarefas de administração. Você poderá ter reparado no botão Novo na barra de páginas do &konsole;, o qual contém um menu onde, se você carregar e mantiver carregado o botão, poderá seleccionar novos tipos de sessão aí. Nós vamos então adicionar novos itens a este menu.

1. Carregue no item do menu Configuração Configurar o Konsole

2. Carregue na página Sessão.

3. Preencha o primeiro campo com um nome. Este é o nome que aparecerá no menu, e será o texto por omissão em vez de Linha de Comandos quando você iniciar uma sessão deste tipo.

4. Indique um comando tal e qual você faria, se abrisse uma nova linha de comandos e invocasse esse comando. Para o nosso primeiro exemplo, você poderia escrever ``ssh` administracao`.

5. Na parte inferior do painel, configure a aparência desta sessão. Você poderá ter um tipo de letra diferente, bem como um esquema de cores e um tipo $`TERM` para cada sessão.

6. Carregue no botão Gravar a Sessão.... Aparecer-lhe-á uma janela onde é pedido para confirmar o nome do ficheiro.

7. Carregue finalmente em OK.

Você deverá ser capaz agora de carregar e manter pressionado o botão Novo na barra de páginas e seleccionar o tipo da sua nova sessão na lista. Irá abrir uma nova sessão da linha de comandos na janela do &konsole; com o resultado do seu comando executado. No nosso exemplo, aparecer-lhe-á uma linha de comandos para a senha de ssh, onde você poderá indicar a sua senha, para se poder autenticar na máquina remota. Você poderá também evitar este passo, se usar o 'ssh-agent', mas isso é um tópico para outra funcionalidade.. Talvez você queira mostrar os seus registos de erros de HTTP num servidor Web; para tal você poderia indicar uma linha de comandos do género ``ssh` `-f` servidorweb `tail` `-f` `/var/log/httpd-error.log``.

Você poderá usar isto também para executar comandos locais. Tente criar uma sessão onde o comando seja ``tail` `-f` `/var/log/messages``. Neste caso, ao sair da aplicação em execução irá fechar a sessão da linha de comandos, também.

Uma utilização bastante boa desta funcionalidade é que, se você concluir que tem sempre o mesmo conjunto de sessões abertas, o &kde; pode abri-las todas para sia automaticamente, logo que você inicia uma nova sessão do &kde;. Basta tê-las abertas como deseja ao sair do &kde;, para que elas sejam gravadas com a sua sessão do &kde; e repostas tal como acontece com as outras aplicações quando você reinicia o &kde;.

### Botões do Rato

Esquerdo

  Se carregar com o botão esquerdo, esse evento será passado à aplicação a correr na emulação, se esta souber lidar com o rato. Se um programa reagir aos 'clicks' do rato, o &konsole; irá indicar isso ao mostrar um cursor em forma de seta. Caso contrário, é mostrado um cursor em I (barra).

  Se mantiver o botão esquerdo e arrastar o rato pelo ecrã numa aplicação que não lide com o rato a correr, isso irá marcar uma região de texto. Enquanto arrasta, o texto marcado é mostrado com as cores invertidas para algum 'feedback' visual. Seleccione o Copiar do menu Editar para copiar o texto marcado na área de transferência, de modo a usá-lo posteriormente no &konsole; ou noutra aplicação. O texto seleccionado também poderá ser arrastado e largado noutras aplicações compatíveis. Carregue no texto seleccionado e arraste-o para a localização desejada. (Dependendo da sua configuração do &kde;, você poderá ter de manter a tecla &Ctrl; carregada enquanto arrasta.

  Normalmente, os caracteres de mudança de linha são inseridos no fim de cada linha seleccionada. Isto é melhor para o corte e colagem de código-fonte, ou para o resultado de um comando qualquer. Para o texto normal, as quebras de linha não são normalmente importantes. Uma pessoa poderá preferir, de qualquer forma, que o texto seja uma sequência contínua de caracteres que será formatada de novo automaticamente ao ser colada noutra aplicação. Para seleccionar o texto em modo de sequência, mantenha a tecla &Ctrl; carregada enquanto selecciona normalmente.

  Faça duplo-click com o botão esquerdo para seleccionar uma palavra, e triplo-click para seleccionar uma linha inteira.

  Se o limite superior ou inferior da área de texto for alterado enquanto é feita a marcação, o &konsole; deslocar-se-á para cima ou para baixo, eventualmente expondo algum texto no 'buffer' do histórico. A deslocação pára quando o rato parar de se mexer.

  Depois de o rato ser largado, o &konsole; tenta manter o texto na área de transferência visível mantendo a área marcada invertida. A área marcada voltará ao normal, a partir do momento que o conteúdo da área de transferência se altere, o texto da área marcada se modifique ou o botão esquerdo seja carregado.

  Para marcar o texto numa aplicação que lide com o rato (como por exemplo, o Midnight Commander), a tecla &Shift; tem de ser pressionada enquanto carrega.

Meio

  Se carregar com o botão do meio, irá colar o texto que se encontra de momento na área de transferências. Se mantiver carregada a tecla &Ctrl; à medida que carrega no botão do meio irá colar o texto e enviá-lo para o &konsole;.

  Se você tiver um rato com apenas dois botões, basta carregar tanto no botão esquerdo como no direito em conjunto para emular o botão do meio de um rato de três botões.

Direito

  O botão direito faz aparecer um menu com as opções Mostrar o Menu, Copiar, Colar, Enviar um Sinal, Separar (ou Juntar) Sessão, Mudar o Nome à Sessão..., Favoritos Configuração e Fechar a Sessão. O &Ctrl; com o botão direito faz aparecer o menu de Sessão.

### Barra de Menu

A barra do menu está no topo da janela do &konsole;. Ela poderá ser escondida e reposta ao comutar a opção Mostrar o Menu no menu Configuração. Quando a barra do menu está escondida, o Mostrar o Menu pode ser obtido ao carregar com o botão direito na janela ou através do atalho &Alt;&Ctrl;M .

#### Menu Sessão

Sessão Nova Linha de Comandos

  Abre uma nova sessão com um terminal e uma linha de comandos. O &Alt;&Ctrl;N poderá também ser usado, tal como está descrito com mais detalhe em baixo.

Sessão Nova Consola do Linux

  Abre uma nova sessão que emula um sistema de &Linux; apenas de texto.

  Veja o ficheiro `README.linux.console` no pacote de código do &konsole; para mais alguma informação sobre o facto de a consola do &Linux; ser diferente de uma consola típica do &UNIX;. Se isso não significar nada para si, você quase de certeza não terá de se preocupar com isso.

Sessão Novo Midnight Commander

  Abre uma nova sessão com o gestor de ficheiros Midnight Commander.

Sessão Nova Consola como Root

  Abre uma nova sessão com um terminal e uma linha de comandos, autenticado como root.

  Depois de lhe ser pedida a senha do root, a linha de comandos # aparece-lhe, a indicar que o utilizador está a correr com privilégios de root. Isto é frequentemente necessário para instalar novo 'software' ou para outra manutenção do sistema, mas é necessário ter cuidado para evitar danos acidentais.

Sessão Novo Midnight Commander como Root

  Abre uma nova sessão com o gestor de ficheiros Midnight Commander, autenticado como root.

  Depois de lhe ser pedida a senha do root, a linha de comandos # aparece-lhe, a indicar que o utilizador está a correr com privilégios de root. Mais uma vez, trabalhar como root é frequentemente necessário mas é preciso ter cuidado para evitar danos acidentais.

Sessão Nova Sessão do Screen

  Abre uma nova sessão com o gestor de terminais virtuais Screen. Veja o ``man` `screen`` para mais informações.

Sessão Nova Linha de Comandos no Favorito

  Inicia uma nova linha de comandos, numa pasta escolhida a partir da lista de favoritos.

Sessão Fechar a Sessão

  Fecha a sessão actual.

Sessão Sair

  Sai do &konsole;, fechando todas as sessões e todas as aplicações lançadas a partir delas.

Você também poderá abrir uma nova sessão com um atalho de teclas. Por omissão, é usado o &Alt;&Ctrl;N . Você também poderá definir os seus próprios atalhos de teclado a partir do comando do menu Configuração Configurar os Atalhos....

Os ficheiros com uma extensão `*.keytab` na pasta `$`KDEDIR`/share/apps/konsole` também definem atalhos de teclado. Use a opção do menu Configuração Teclado para escolher um ficheiro 'keytab'. O ficheiro `README.KeyTab` contém mais informações sobre a definição de atalhos.

A lista com as sessões disponíveis poderá diferir das que são listadas aqui. O &konsole; detecta os seus programas instalados e personaliza a lista para reflectir as opções disponíveis.

Finalmente, repare que os tipos de sessões poderão ser modificados, assim como poderão ser criados novos tipos, ao usar a janela de configuração, a qual está disponível através da opção do menu Configuração Configurar o Konsole....

#### O Menu Editar

Editar Copiar

  Copia o texto seleccionado para a área de transferência.

Editar Colar

  Cola o texto da área de transferência na posição do cursor.

Editar Enviar um Sinal

  Enviar um Sinal - Envia o sinal seleccionado para o processo da linha de comandos, ou para o outro processo que foi lançado quando a sessão nova foi iniciada.

  Os sinais disponíveis de momento são:

  STOP | para parar o processo
  CONT | continua o processo se este tiver sido parado
  HUP | bloqueio detectado no terminal de controlo ou morte do processo de controlo
  INT | interrupção do teclado
  TERM | sinal de finalização
  KILL | sinal para matar
  USR1 | sinal do utilizador 1
  USR2 | sinal do utilizador 2

  Baseie-se nas páginas de manual do seu sistema para saber mais detalhes, introduzindo o comando ``man` `7 signal``.

Editar Limpar o Terminal

  Limpa todo o texto da janela da sessão..

Editar Reiniciar e Limpar o Terminal

  Inicia uma nova sessão na janela..

Editar Procurar no Histórico...

  Procura uma palavra ou uma sequência de texto no histórico actual. As opções permitem a distinção de maiúsculas ou as pesquisas para trás, assim como a utilização de expressões regulares nas pesquisas. Carregue no botão Editar para usar o editor gráfico do &kde; para criar uma expressão regular.

Editar Procurar o Próximo

  Passa para a próxima instância do texto que você está à procura.

Editar Procurar o Anterior

  Passa para a instância anterior do texto do qual está à procura.

Editar Gravar o Histórico Como...

  Grava o histórico actual como um ficheiro de texto.

Editar Limpar o Histórico

  Limpa o histórico para a sessão actual.

Editar Limpar Todos os Históricos

  Limpa o histórico para todas as sessões.

#### O Menu Ver

Ver Separar a Sessão

  Abre a sessão actual numa janela em separado. O nome da sessão é mostrado na barra de título da nova janela. Feche a nova janela para repor a sessão ao seu local original, ou carregue com o botão direito na nova janela e seleccione o Juntar a Sessão. Repare que, se a janela principal estiver fechada, todas as sessões separadas serão fechadas com ela.

Ver Mudar o Nome à Sessão...

  Abrea uma janela que lhe permitirá mudar o nome da sessão actual. O nome é mostrado na página de sessões. O atalho &Alt;&Ctrl;S também poderá ser usado.

Ver Monitor de Actividade

  Assinala a sessão actual de modo a que mostre um alerta se ocorrer alguma actividade. Aparecerá um ícone com uma lâmpada acesa na página da sessão. Utilize isto para o alertar se algo tiver acontecido enquanto você está a trabalhar noutra sessão. O tempo antes do alerta poderá ser modificado nas preferências do &konsole;.

Ver Monitor de Inactividade

  Assinala a sessão actual de modo a que mostre um alerta se não ocorrer nenhuma actividade durante 10 segundos. Aparecerá um ícone com uma lâmpada apagada na página da sessão. Utilize isto para o alertar se uma tarefa parar enquanto você está a trabalhar noutra sessão. O tempo antes do alerta poderá ser modificado nas preferências do &konsole;.

Ver Enviar os Dados Introduzidos para Todas as Sessões

  Assinala a sessão actual de modo a que todos os comandos nela introduzidos serão enviados para todas as sessões. A sessão terá um ícone pequeno na sua página a lembrá-lo para ter cuidado com o que introduzir! O ``rm` `-rf *``, por exemplo, não é provavelmente uma boa ideia.

Ver Mover a Sessão para a Esquerda

  Move a página da sessão actual uma posição para a esquerda.

Ver Mover a Sessão para a Direita

  Move a página da sessão actual uma posição para a direita.

  O &Shift; Esquerda e o &Shift; Direita também poderão ser usados para alternar entre sessões.

Ver Ícones das Sessões...

  No fundo do menu existe uma lista com as sessões disponíveis. Se seleccionar uma tornará essa a sessão activa.

  Você também poderá usar o &Shift;Esquerda/&Shift;Direita para circular pelas sessões disponíveis.

#### O Menu Favoritos

Favoritos Adicionar aos Favoritos

  Adiciona a posição actual à lista de favoritos.

Favoritos Editar os Favoritos

  Altera a lista de favoritos.

Favoritos Nova Pasta de Favoritos

  Adiciona uma nova pasta à lista de favoritos.

A lista de favoritos é apresentada no fundo do menu. Seleccione um favorito para mudar para essa localização.

Você poderá usar o editor de favoritos para adicionar manualmente URLs como o ssh://utilizador@maquina ou o telnet://maquina para abrir as ligações remotas.

#### O Menu Configuração

Configuração Mostrar o Menu

  Mostra ou esconde a barra do menu.

Configuração Mostrar a Barra de Ferramentas

  Mostra ou esconde a barra de ferramentas.

Configuração Barra de Posicionamento

  Controla a localização da barra de posicionamento: esconder, esquerda ou direita.

Configuração Todo o Ecrã

  Comuta a janela entre o modo de ecrã completo e o tamanho normal.

Configuração Campainha

  Configura a campainha do sistema para uma Notificação do Sistema do &kde; ou um piscar visível, ou simplesmente desliga-a.

Configuração Tipo de Letra

  Altera o tipo de letra e o seu tamanho

  Seleccione a opção Personalizado para usar qualquer combinação de tipo de letra, tamanho e estilo. O ficheiro `README.fonts` no pacote do código-fonte do &konsole; dá-lhe algumas sugestões sobre os tipos de letra que funcionam bem.

Configuração Teclado

  Escolha o mapeamento de teclas desejado.

  A lista com esses mapeamentos de teclas é obtida a partir dos ficheiros `$KDEDIR/share/apps/konsole/*.keytab`. O ficheiro `$KDEDIR/share/apps/konsole/README.KeyTab` descreve o formato do 'keytab' em mais detalhe. Adicione ou modifique esses ficheiros para corresponder às suas necessidades.

Configuração Esquema

  Altera as cores do texto e o seu fundo.

  A lista com estes esquemas é obtida a partir dos ficheiros `$KDEDIR/share/apps/konsole/*.schema`. O ficheiro `$KDEDIR/share/apps/konsole/README.Schema` descreve o formato do esquema em mais detalhe. Adicione ou modifique estes ficheiros para corresponder às suas necessidades. Você ambém poderá criar esquemas personalizados através da janela de preferências em Configuração Configurar o Konsole....

Configuração Tamanho

  Altera o tamanho da área de texto (dado em colunas x linhas).

Configuração Histórico...

  Abre uma janela onde você poderá configurar o histórico. A opção Activar activa ou desactiva a gravação das linhas que sairam para fora do topo da janela. Você poderá indicar o Número de linhas a recordar no campo de texto, ou utilizar os botões giratórios para aumentar ou diminuir o número de passos em 100 linhas. O botão Predefinições irá repor o histórico em 1000. Se colocar este valor a 0 irá fazer com que todo o histórico seja gravado. Carregue em OK para gravar as suas alterações ou em Cancelar para fechar a janela sem ter de gravar as suas alterações. O botão de Ajuda irá abrir este manual e mostrar o texto que você está a ler neste preciso momento.

Configuração Gravar a Configuração

  Grava as opções actuais para ficarem as opções por omissão.

Configuração Gravar o Perfil de Sessões...

  Grava o conjunto de sessões actual com um nome à sua escolha. O perfil poderá então ser usado ao iniciar o &konsole; a partir da linha de comandos com o parâmetro `--profile` e o nome do ficheiro do perfil.

Configuração Configurar os Atalhos...

  Personalizar os atalhos do teclado para os comandos do &konsole;.

Configuração Configurar o &konsole;...

  Abre o módulo do &kcontrolcenter;, o que permitirá muitas alterações adicionais à interface do &konsole; e ao comportamento, incluindo a criação de esquemas personalizados e a modificação das sessões disponíveis.

#### O Menu Ajuda

F1 Ajuda Manual do Konsole

  Abre o índice deste documento.

Ajuda Dica do Dia...

  Mostra uma dica útil sobre a utilização do &konsole;. Assinale a opção Mostrar no início para mostrar uma nova dica ou sugestão de cada vez que o &konsole; é iniciado.

Ajuda Comunicar um Erro...

  Envia o relatório de um erro ou um pedido de uma nova funcionalidade para o &konsole;.

Ajuda Acerca do Konsole...

  Informações acerca do autor do &konsole;.

Ajuda Acerca do KDE...

  Informações acerca do projecto do KDE

### Barra de Ferramentas

A barra de ferramentas encontra-se na parte inferior da janela do &konsole;.

Esta poderá estar escondida e ser reposta ao comutar a opção Mostrar a Barra de Ferramentas no menu Configuração ou ao carregar na pega em relevo ao lado da barra. A barra contém um ícone de Novo e os ícones das sessões actuais. Se carregar em Novo irá abrir uma nova sessão de Linha de Comandos.

Se fizer duplo-click na página de uma sessão abrirá uma janela que lhe permitirá alterar o nome dessa sessão. O atalho &Alt;&Ctrl;S também pode ser usado para mudar o nome à sessão activa.

Se carregar no ícone de uma sessão existente torna-a a sessão activa.

Quando a barra de ferramentas está activa, o &Shift; Esquerda e o &Shift; Direita podem ser usados para mudar entre sessões.

### Opções da Linha de Comandos

Quando o &konsole; é iniciado a partir da linha de comandos, várias opções poderão ser indicadas para alterar o seu comportamento.

`--help`

  Mostra as várias opções

`--name` `nome`

  Muda o nome que aparece na barra do título

`--ls`

  Inicia com um ambiente de linha de comandos autenticada. O que isso faz depende do seu sistema, mas de um modo geral significa que os ficheiros como o `~/.profile` ou o `~/.bash_profile` serão lidos. (Se isso não significar nada para si, não se preocupe, mas tenha em atenção quando chegar à conclusão que irá precisar deles).

`-T` `título`

  Muda o título da janela

`--tn` `terminal`

  Altera a variável de ambiente TERM para o valor indicado. Leia o ``man` `xterm`` para mais informações sobre o TERM.

`--xwin`

  Ignorado

`--noclose`

  Evita que o &konsole; feche quando um comando ``exit`` é executado na única janela de sessão.

`--nohist`

  Desactiva a gravação das linhas que saem para fora do topo da janela

`--nomenubar`

  Inicia o &konsole; sem o menu

`--notoolbar`

  Inicia o &konsole; sem a barra de ferramentas

`--noframe`

  Inicia o &konsole; sem o seu contorno

`--noscrollbar`

  Inicia o &konsole; sem a barra de posicionamento

`--noxft`

  Inicia o &konsole; sem a suavização por 'anti-aliasing' do Xft. A suavização de um tipo de letra pequeno poderá torná-lo difícil de ler.

`--vt_sz` `CCxLL`

  Inicia uma janela de terminal com CC Colunas e LL linhas

`--type` `tipo`

  Inicia uma sessão com o tipo indicado em vez do predefinido.

`--keytab` `ficheiro`

  Inicia o &konsole; usando um dado ficheiro .keytab para personalizar a configuração das teclas.

`--profile` `ficheiro`

  Inicia o &konsole; com um conjunto definido de sessões.

`--schema` `ficheiro`

  Inicia o &konsole; com um dado ficheiro .schema para personalizar a aparência.

`--script` `ficheiro`

  Permite a utilização de comandos DCOP extendidos para colar o texto nas sessões.

`--workdir` `directoria`

  Abre com a `directoria` como sendo a pasta de trabalho.

`-e` `comando`

  Executa o `comando` em vez da linha de comandos.

Por exemplo:

    bash$
     konsole --vt_sz
      90x25 --nohist

inicia uma janela do &konsole; com 90 colunas e 25 linhas, sem histórico

O &konsole; também aceita as opções genéricas do &Qt; e do &kde;:

`--help-qt`

  Mostra as opções específicas do Qt

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostra todas as opções

`--author`

  Mostra os nomes dos autores

`-v,--version`

  Mostra o número da versão

`--license`

  Mostra informações sobre a licença

## Créditos e Direitos de Cópia

O &konsole; é mantido pelo &Waldo.Bastian; &Waldo.Bastian.mail;

A aplicação &konsole; tem o Copyright © 1997-2002 &Lars.Doelle; &Lars.Doelle.mail;

Este documento foi escrito pelo &Jonathan.Singer; &Jonathan.Singer.mail;

Foi convertido originalmente para SGML de DocBook por &Mike.McBride; e &Lauri.Watts;

Tradução de José Nuno Pires jncp@netcabo.pt

&underFDL; &underGPL;

## O &konsole; nas plataformas não-&Linux;

Existem mais informações sobre como compilar o &konsole; para outras plataformas que não o &Linux; no ficheiro `README.ports` do pacote de código-fonte do &konsole;. Ele contém uma lista das pessoas mais experientes em certas plataformas (Tru64, &Solaris;, OpenBSD) e pede mais voluntários para outras plataformas &UNIX;.

&documentation.index;